/*
 * This program was created by AXELL CORPORATION.
 * Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
*/
#ifndef __SAMPLE_UTIL_H__
#define __SAMPLE_UTIL_H__

/*****************************************************************************/
/*     extern function                                                       */
/*****************************************************************************/
extern void sample_puts(char *str);
extern void *sample_memcpy( void *str1 , const void *str2 , int len );
extern void *sample_memset( void *str , int chr , int len );
extern int sample_memcmp(void *dst, void *src, int len);
extern int sample_strlen(const char *s);
extern int sample_strcmp(const char *str1, const char *str2);
extern void sample_putnum(int num);
extern void sample_putbytehex(unsigned char num);
extern void sample_putlonghex(unsigned long num);

/*****************************************************************************/
/*     define macro                                                          */
/*****************************************************************************/
#define SAMPLE_PRINT			sample_puts
#define SAMPLE_PRINT_NUM		sample_putnum
#define SAMPLE_PRINT_BYTE_HEX	sample_putbytehex
#define SAMPLE_PRINT_LONG_HEX	sample_putlonghex

#endif /* __SAMPLE_UTIL_H__ */
